Retrieve a Starlink Device
Retrieve the details of a Starlink device.
Required Capabilities
Starlink Viewer
Request
Path parameters
Reference ID of the Starlink device to retrieve.
Response
A json is returned in the response body with the following fields:
Reference ID of the device.
Reference ID of the Starlink account the device is assigned to.
Reference ID of the Starlink service line the device is assigned to. null if not applicable.
Kit serial number of the Starlink device.
Dish serial number of the Starlink device. null if not applicable.
User terminal ID of the Starlink device. null if not applicable.
Starlink sync information of the device.
Show child attributes
The sync status of the device. null if not applicable.
PENDING— The sync is pending.ABORTED— The sync has been aborted.SYNCING— The sync is in progress.SYNCED— The sync has completed.
The number of times the device sync has been run.
The maximum number of times the device sync can be run.
The last time the device was synced. null if not applicable.
Date and time the device was created.
Username of the user who created the device.
Email of the user who created the device. null if not applicable.
Date and time the device was last updated.
Username of the user who last updated the device.
Email of the user who last updated the device. null if not applicable.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/devices/{refId}' \ -H 'Authorization: Bearer {token}'Response
{
"refId": "XXXX00000001",
"starlinkAccountRefId": "92",
"starlinkServiceLineRefId": "57",
"starlinkKitSerialNumber": "XXXX00000001",
"starlinkDishSerialNumber": "XXXX00000000001",
"starlinkUserTerminalId": "XXXXXXXX-XXXXXXXX-XXXXXXXX",
"starlinkSync": {
"syncStatus": "SYNCED",
"runCount": 0,
"runCountLimit": 10,
"lastSyncedAt": "2026-03-03T10:53:21.385Z"
},
"createdAt": "2026-02-26T12:51:19.443Z",
"createdBy": "Jane Doe",
"createdByEmail": null,
"updatedAt": "2026-03-25T02:00:04.314Z",
"updatedBy": "System",
"updatedByEmail": null
}